#!/bin/bash

HDFS_MOUNT_STAGING_DIR=/srv/hops/git/.hdfs-mount-staging-dir
MOUNTING_DIR=/srv/hops/git/$HADOOP_USERNAME/

#Make directory for mounting hdfs
mkdir $MOUNTING_DIR

#staging dir
mkdir $HDFS_MOUNT_STAGING_DIR

#mount hdfs
TLS_CONF=""
if [ "$IS_TLS" == "true" ]; then
  TLS_CONF="-tls -rootCABundle $PEMS_DIR/$ROOT_CA_BUNDLE -clientCertificate $PEMS_DIR/$CLIENT_CERTIFICATES_BUNDLE -clientKey $PEMS_DIR/$CLIENT_KEY"
fi

umask 007

hopsfs-mount -getGroupFromHopsFSDatasetPath -allowOther=false --hopsFSUserName $HADOOP_USERNAME  --logLevel debug --stageDir $HDFS_MOUNT_STAGING_DIR $TLS_CONF $NAMENODE_IP:$NAMENODE_PORT $MOUNTING_DIR >> $HOPSFS_LOGFILE &
